package com.hmg.hmgDr.Model;


import android.os.Parcel;
import android.os.Parcelable;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;


public class ChangeCallStatusRequestModel implements Parcelable {

    @SerializedName("CallStatus")
    @Expose
    private Integer callStatus;
    @SerializedName("DoctorId")
    @Expose
    private Integer doctorId;
    @SerializedName("generalid")
    @Expose
    private String generalid;
    @SerializedName("TokenID")
    @Expose
    private String tokenID;
    @SerializedName("VC_ID")
    @Expose
    private Integer vcId;

    public ChangeCallStatusRequestModel(Integer callStatus, Integer doctorId, String generalid, String tokenID, Integer vcId) {
        this.callStatus = callStatus;
        this.doctorId = doctorId;
        this.generalid = generalid;
        this.tokenID = tokenID;
        this.vcId = vcId;
    }

    protected ChangeCallStatusRequestModel(Parcel in) {
        if (in.readByte() == 0) {
            callStatus = null;
        } else {
            callStatus = in.readInt();
        }
        if (in.readByte() == 0) {
            doctorId = null;
        } else {
            doctorId = in.readInt();
        }
        generalid = in.readString();
        tokenID = in.readString();
        if (in.readByte() == 0) {
            vcId = null;
        } else {
            vcId = in.readInt();
        }
    }

    public static final Creator<ChangeCallStatusRequestModel> CREATOR = new Creator<ChangeCallStatusRequestModel>() {
        @Override
        public ChangeCallStatusRequestModel createFromParcel(Parcel in) {
            return new ChangeCallStatusRequestModel(in);
        }

        @Override
        public ChangeCallStatusRequestModel[] newArray(int size) {
            return new ChangeCallStatusRequestModel[size];
        }
    };

    public Integer getCallStatus() {
        return callStatus;
    }

    public void setCallStatus(Integer callStatus) {
        this.callStatus = callStatus;
    }

    public Integer getDoctorId() {
        return doctorId;
    }

    public void setDoctorId(Integer doctorId) {
        this.doctorId = doctorId;
    }

    public String getGeneralid() {
        return generalid;
    }

    public void setGeneralid(String generalid) {
        this.generalid = generalid;
    }

    public String getTokenID() {
        return tokenID;
    }

    public void setTokenID(String tokenID) {
        this.tokenID = tokenID;
    }

    public Integer getVcId() {
        return vcId;
    }

    public void setVcId(Integer vcId) {
        this.vcId = vcId;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        if (callStatus == null) {
            dest.writeByte((byte) 0);
        } else {
            dest.writeByte((byte) 1);
            dest.writeInt(callStatus);
        }
        if (doctorId == null) {
            dest.writeByte((byte) 0);
        } else {
            dest.writeByte((byte) 1);
            dest.writeInt(doctorId);
        }
        dest.writeString(generalid);
        dest.writeString(tokenID);
        if (vcId == null) {
            dest.writeByte((byte) 0);
        } else {
            dest.writeByte((byte) 1);
            dest.writeInt(vcId);
        }
    }
}
